Bug 133913 - System default paper settings (A4 / U.S. Letter)
System default paper settings (A4 / U.S. Letter)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 10:04 EDT by C C Magnus Gustavsson
Modified: 2009-03-11 04:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description C C Magnus Gustavsson 2004-09-28 10:04:26 EDT
Description of problem:

Contrary to e.g. xdvi, ghostscript uses U.S. Letter as default paper
size instead of A4. Unless "-sPAPERSIZE=a4" is specified with ps2pdf,
the PDF is built in Letter format, even though the LaTeX specification
uses A4. This can have potentially disastrous results if a PDF is sent
to printing with the top of every page cut off, an error easily missed
when looking at a document with xpdf.

I've changed gs_init.ps according to
http://www.cs.wisc.edu/~ghost/doc/gnu/7.05/Use.htm#Change_default_size
now. However, it seems to me that the fact that this needs to be
changed is a serious problem when using Red Hat/Fedora for publishing.
In Debian the problem has already been solved and there's no need to
change gs_init.ps.

It should (IMHO) be configurable during installation, with the default
set to Letter if the computer is in the U.S. or Canada, and A4 in all
other cases. Debian uses /etc/papersize for this purpose. Perhaps
Fedora could have a similar /etc/sysconfig/papersize, or include it in
/etc/sysconfig/i18n?
Comment 1 Tim Waugh 2004-09-28 10:36:38 EDT
I don't think we need 'papersize', since i18n already includes the
locale, and the locale includes LC_PAPER information.

My question is: at what stage does /etc/papersize have an effect in
Debian?  Is it at gs runtime?
Comment 2 C C Magnus Gustavsson 2004-09-28 12:05:15 EDT
> I don't think we need 'papersize', since i18n already includes the
> locale, and the locale includes LC_PAPER information.

Alright. It might be worth noting that LC_PAPER is not standardized,
but that works for me. It's in the locale files at least.

> My question is: at what stage does /etc/papersize have an effect in
> Debian?  Is it at gs runtime?

Hmm. That was a little more complicated than I thought. As far as I
can tell ghostscript has been patched to use the Debian-specific
libpaper.so.1, which reads /etc/papersize.
Comment 3 Matthew Miller 2005-04-26 11:31:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 C C Magnus Gustavsson 2005-05-01 11:10:19 EDT
It has not been resolved in current FC3 updates.
Comment 5 Matthew Miller 2005-05-01 11:18:29 EDT
Let's push this all the way to "devel" -- I think solving this is too sweeping
in scope to be likely for the current release.

Also, although this is important and I want it addressed, I think "severity
high" is overstating -- it's not like you can't change the setting, or that it
totally corrupts your data irreparably. Let's do our part to fight Bug Severity
Inflation.
Comment 6 C C Magnus Gustavsson 2005-05-01 11:23:28 EDT
I agree. Did I really set it to "high"? Well, it was a while ago.
Comment 7 Mike A. Harris 2007-11-09 08:36:49 EST
If this bug is still occuring, does it occur if you boot into runlevel 3 and run
startx?

If so, it is probably caused by bug #372151
Comment 8 Bug Zapper 2008-04-03 11:40:22 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:00:57 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.